#!/usr/bin/env python
import os, ConfigParser

def conf():
    cf = os.path.join(os.path.dirname(__file__), "fileconfig.ded")
    config = ConfigParser.ConfigParser()
    config.read(cf)
    return config

def save(conf):
    cf = os.path.join(os.path.dirname(__file__), "fileconfig.ded")
    with open(cf,"wb") as configf:
        conf.write(configf)

def set_config(section, name, value):
    """Changing the base configuration file,
    set_base_config(parent, section, name, value)"""
    config = conf()
    config.set(section, name, value)
    save(config)

def get_config(section, name):
    """Get value for a basic configuration setting
    get_base_config(parent, section, name)"""
    config = conf()
    return config.get(section, name)

def add_file(name):
    config = conf()
    if not config.has_section(name):
        config.add_section(name)
    save(config)